(function ($) {
   "use strict";
   // object js
   var Woocp_Frontend = {
      init: function () {
         this.time_countdown();
      },

      time_countdown: function() {
         $('.woocp-time-countdown').each(function(e){
            var that = $(this);
            if( that.length > 0 ) {
               var date = that.data('date');
               date = date.split(' ');
               var day = date[0].split('-');
               var time = date[1].split(':');

               var display_format = that.data('display');
               if ( display_format === 'hms' ) {
                  display_format = 'HMS';
               } else {
                  display_format = 'DHMS';
               }

               var date_countdown = new Date( day[0], day[1]-1, day[2], time[0], time[1] );
               that.countdown({until: date_countdown, format: display_format});
            }
         });
      },
   };

/* ready */
$(document).ready(function () {
   Woocp_Frontend.init();
});

})(jQuery);
