<?php defined( 'ABSPATH' ) || exit;

class Woocp_Shortcode_Time_Countdown extends Woocp_Shortcode {

    public $shortcode = 'woocp';

    public function __construct() {
        parent::__construct();
    }

    function add_shortcode( $args, $content = null ) {

        $args = shortcode_atts( array(
            'product_id'   => '',
            'class' => '',
        ), $args );

        $template = apply_filters( 'woocp_shortcode_time_countdown', 'time_countdown_shortcode.php' );
        ob_start();
        woocp_get_template( $template, $args );
        return ob_get_clean();
    }

}

new Woocp_Shortcode_Time_Countdown();
