<?php
if ( ! defined( 'ABSPATH' ) ) exit();
$product_id = ! empty( $product_id ) ? $product_id : get_the_ID();
$class_cutom = ! empty( $class ) ? $class : '';

$quantity_availabel = intval( get_post_meta( $product_id, 'woocp_quantity_available_on_sale', true ) );
$quantity_sale = intval( get_post_meta( $product_id, 'woocp_quantity_product_sale', true ) );
$is_display_bar = is_display_bar_quantity_sale( $product_id, 'shortcode_page' );
$display_timer = ! empty( get_option( 'wc_settings_tab_woocp_display_timer_shortcode' ) ) ? get_option( 'wc_settings_tab_woocp_display_timer_shortcode' ) : 'no';
$type_clock = !empty( get_option('wc_settings_tab_woocp_type_clock_shortcode') ) ? get_option('wc_settings_tab_woocp_type_clock_shortcode') : 'type2' ;
$display_format_clock = ! empty( get_option( 'wc_settings_tab_woocp_set_format_countdown_display' ) ) ? get_option( 'wc_settings_tab_woocp_set_format_countdown_display' ) : 'dhms' ;
$data_date = woocp_get_data_date_product( $product_id );
$message = woocp_get_message_timer_when_replace_variable( $product_id );
$show_message = !empty(get_option('wc_settings_tab_woocp_show_hide_message_shortcode')) ? get_option('wc_settings_tab_woocp_show_hide_message_shortcode') : 'yes';

$time_countdown = strtotime( $data_date );
$current_time = current_time( 'timestamp' );

$allow_html = [
    'span' => [
    	'class' => []
    ],
];

?>
<?php if ( ! empty( $data_date ) && ( $time_countdown > $current_time ) ) : ?>
<div class="wrap-woocp-time-countdown clock_shortcode <?php echo esc_attr( $class_cutom ) ?>" >
	<div class="woocp-title-wp">
		<h3 class="woocp-title">
			<a href="<?php the_permalink( $product_id ) ?>"><?php echo get_the_title( $product_id ) ?></a>
		</h3>
	</div>
	<?php
	if ( $quantity_availabel > 0 && $is_display_bar ) :
		$width_number_sale = ($quantity_sale / $quantity_availabel) * 100;
		?>
		<div class="wrap-woocp-bar">
			<p>
				<span class="woocp-bar-message"><?php echo esc_html__( 'Number sale:', 'woocp' )?></span>
				<span class="woocp-bar-divide"><?php echo esc_html( $quantity_sale )  .'<span class="ova_slash">/</span>'. esc_html( $quantity_availabel ) ?></span>
			</p>

			<div class="woocp-bar" >
				<div class="woocp-sale" style="width:<?php echo esc_attr( $width_number_sale ) ?>%;" ></div>
				<div class="woocp-number-rest"></div>
			</div>
		</div>
	<?php endif ?>
	<?php if ( ( $display_timer === 'both' || $display_timer === 'timer_only' ) && ! empty( $data_date ) ) : ?>
		<div class="woocp-time-countdown <?php echo esc_attr( $type_clock ) ?>" data-display="<?php echo esc_attr( $display_format_clock ) ?>"  data-id="<?php echo esc_attr($product_id) ?>" data-date="<?php echo esc_attr( $data_date ) ?>"></div>
	<?php endif ?>
	
	<?php if ( ( $display_timer === 'both' || $display_timer === 'timer_only' ) && ! empty( $data_date ) && ! empty( $message ) && $show_message === 'yes' ) : ?>
		<div class="woocp-message" ><?php echo wp_kses( $message, $allow_html ) ?></div>
	<?php endif ?>

</div>
<?php endif ?>
